{% extends 'dashboard/dashboard_content.html' %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>

{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-check-circle-o"></i>
                My Granted ODs
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">

            </div>
            <div class="container" align="center">
                <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                    <h4><strong> Full day ODs </strong></h4>
                </div>
            </div>


            <form method="POST">{% csrf_token %}
                <div class="table-responsive">
                    <table class="table table-hover" style="">
                        <thead>
                        <tr>
                            <th>S.No</th>
                            <th>Staff</th>
                            <th>Message</th>
                            <th>Start date</th>
                            <th>End date</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for each in list_of_ods %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td>{{ each.staff }}</td>
                                <td style="word-wrap: break-word">{{ each.message }}</td>
                                <td>{{ each.start_date }}</td>
                                <td>{{ each.end_date }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </form>

            <div class="container" align="center">
                <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                    <h4><strong> Hourly ODs </strong></h4>
                </div>
            </div>

            <form method="POST">{% csrf_token %}
                <div class="table-responsive">
                    <table class="table table-hover" style="">
                        <thead>
                        <tr>
                            <th>S.No</th>
                            <th>Staff</th>
                            <th>Message</th>
                            <th>Date</th>
                            <th>Hours</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for each in hourly_list_of_ods %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td>{{ each.staff }}</td>
                                <td style="word-wrap: break-word">{{ each.message }}</td>
                                <td>{{ each.date }}</td>
                                <td>
                                    {% for hour in each.hour.all %}
                                        {{ hour.hour }}&nbsp;&nbsp;
                                    {% endfor %}
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </form>
        </div>
    </div>
{% endblock %}